// Запросить заказы
function orders_read(search = '@last', stts = '@last', from = '@last', to = '@last', window = 'orders_panel_orders') {
    // '@last' - оставить без изменений и взять данные из cookie

    if (search.length > 1) {
        // Проверка на длину запроса пройдена

        // Инициализация буфера с данными запроса
        data = {
            '_csrf': yii.getCsrfToken(),
            search,
            from,
            to,
            window
        };

        // Запрос
        $.ajax({
            url: '/orders/' + stts,
            type: 'post',
            dataType: 'json',
            data: data,
            success: orders_response_success,
            error: orders_response_error
        });
    };

    return false;
};

function orders_calendar_select(formattedDate, date, inst) {
    if (orders_calendar_ready === true && date[0] !== undefined && date[1] !== undefined) {
        // Обе даты получены

        // Поиск заказов
        orders_read('last', date[0] / 1000, date[1] / 1000);
    }

};

function orders_response(data, status, xhr) {
    // Обработка ответов

    main_response(data, status, xhr);
};

function orders_response_success(data, status, xhr) {
    // Обработка ответов от удавшихся запросов

    orders_response(data, status, xhr);
};

function orders_response_error(data, status, xhr) {
    // Обработка ответов от неудавшихся запросов

    // Инициализвация
    data = data.responseJSON;

    orders_response(data, status, xhr);
};
